Mailinglist Archive: opensuse-buildservice (177 mails)

< Previous Next >
Re: [opensuse-buildservice] Upgrading old OBS to 2.5 (and onward)

On 12/14/2016 03:39 PM, Magnus Lewis-Smith wrote:
I am trying to update an OBS server, currently running 2.3.8 on SLES11

I am able to update to 2.4 with database migration, but can't get LDAP
to work. This is not a problem: on my test machine I was then able to
upgrade to 2.5 successfully, with working LDAP.

However, on my live server, the database migration fails:

So you're currently trying to update from 2.3.8 to 2.5, right?


# RAILS_ENV="production" rake db:migrate
Mysql2::Error: Table 'obs_api.delayed_jobs' doesn't exist: SHOW FULL
FIELDS FROM
`delayed_jobs`/srv/www/obs/api/app/models/configuration.rb:95:in
`delayed_write_to_backend'

Do you have a more detailed error message? Only with this line it is
really hard to debug ...
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
References